Retrieve variations

/dam/assets/variations/retrieve Retrieves asset variations.

Variation object represents link between assets.

Table 1. Details

Resource path

/api/core/v1/dam/assets/variations/retrieve

HTTP method

POST

Request content type

application/json

Response content type

  • application/xml; charset=UTF-8;

  • application/json

  • application/json+compact

Body parameters

Specified by VariationRequest

Return Type

OmnType with filled VariationsType. More info VariationType

Responses
Table 2. Http response codes
Code Message Datatype

200

OmnType with list of asset variations

OmnType

500

Error in ResponseType

ResponseType

Samples
Please use transform endpoint to get the JSON/compact-JSON samples from the XML one.
Get asset variations
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/assets/variations/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "assetPaths": ["/MAM/demo/copies/tempAR/pcUXFux_77I.jpg", "/MAM/demo/artworks-bQbImNIL55TZ52he-gAKJ7w-t500x500_print_variation.jpg"]
}'

Request body examples:

By assets ids
{
    "assetIds": [12333]
}
By assets tids
{
    "assetTids": ["38043B75-5BB3-44CE-AFD1-401503C6F322"]
}
By assets paths
{
  "assetPaths": ["/RNC/Dir1/Dir2/file.jpg"]
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2022-09-01T11:41:47.507Z</itm>
        <itm key="sourceEnv">web</itm>
    </meta>
    <variations>
        <variation assetId="86430" assetTid="DB32DAAC-6A80-4BEB-A09C-C020CA941F4E"/>
        <variation assetId="87960"
                 assetTid="C6E3F14B-092A-4267-9A5D-C16FE4295DC3"
                 parentTid="DB32DAAC-6A80-4BEB-A09C-C020CA941F4E">
            <meta>
                <itm key="variationType">Print</itm>
            </meta>
        </variation>
        <variation assetId="87961"
                 assetTid="11319367-DE26-4FB8-9148-3C341766C1BA"
                 parentTid="C6E3F14B-092A-4267-9A5D-C16FE4295DC3">
            <meta>
                <itm key="variationType">Print</itm>
            </meta>
        </variation>
    </variations>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...